# shouldProcessBeforeInitialization method

Future<bool> shouldProcessBeforeInitialization(

1. Object pod,
2. Class podClass,
3. String name

)

Determine whether this post-processor should be applied to the given pod.

## Parameters

- `pod`: The new pod instance
- `podClass`: The class of the pod
- `name`: The name of the pod

## Return Value

Returns true if this post-processor should be applied to the given pod, false otherwise.

## Implementation

    Future<bool> shouldProcessBeforeInitialization(Object pod, Class podClass, String name) async => false;